Skip to content
OpenPostDocs
OpenPostDocs
MCP

List recent MCP tool calls

GET/mcp/activity

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

workspace_id?string

Optional workspace ID to filter activity

limit?integer

Maximum number of recent calls to return. Defaults to 20 and caps at 100.

Formatint64

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/mcp/activity"
[  {    "client_id": "string",    "client_name": "string",    "client_scope": "string",    "client_token_prefix": "string",    "created_at": "string",    "duration_ms": 0,    "error_message": "string",    "id": "string",    "status": "string",    "tool_name": "string",    "workspace_id": "string"  }]